// ImageButtonTest.java
import java.applet.*;
import java.awt.*;
import java.awt.event.*;

public class ImageButtonTest extends Applet implements ActionListener
{
    ImageButton[] theImageButton = new ImageButton[10];
    Button clearButton = new Button("Clear This");

    public void init()
    {
        theImageButton[0] = new ImageButton("Jumbo.Gif");
        add(theImageButton[0]);
        theImageButton[0].addActionListener(this);

        for (int i = 1; i < 10; i++)
        {
            theImageButton[i] = new ImageButton("T"+i+".gif");
            add(theImageButton[i]);
            theImageButton[i].addActionListener(this);
        }

        add( clearButton );
        clearButton.addActionListener(this);
    }

    public void actionPerformed(ActionEvent theEvent)
    {
        if (theEvent.getSource( ) instanceof ImageButton)
        {
            setBackground( Color.red );
            System.out.println("Hit image button");
            repaint();
            return;
        }
        System.out.println("Hit regular button");
        setBackground( Color.green );
        repaint();
    }
}
