// Boss class is a subclass of Employee

public final class Boss extends Employee
{
	private double monthlySalary;
	
	// Constructor for class Boss
	public Boss(String first,String last,double s)
	{
		super(first,last); // call superclass constructor
		setMonthlySalary(s);
	}
	
	// Set the Boss's salary
	public void setMonthlySalary(double s)
	{
		monthlySalary = s > 0?s:0;
	}
	
	// Get the Boss's pay
	public double earnings()
	{
		return monthlySalary;
	}
	
	// Get the Boss's name
	public String toString()
	{
		return "Boss: " + super.toString();
	}
}