// Defining the class Circle

public class Circle1 extends Point1 // inherit from Point1 
{
	protected double radius;
	
	// no-argument constructor
	public Circle1()
	{
		// implicit call to superclass constructor here
		radius = 0;
		System.out.println("Circle constructor: " + this);
	}
	
	// Constructor
	public Circle1(double r,int a,int b)
	{
		super(a,b); // call the superclass constructor
		radius = r;
		System.out.println("Circle constructor: " + this);
	}
	
	//finalizer
	
	protected void finalize()
	{
		System.out.println("Circle finalize: " + this);
		super.finalize(); // call superclass finalize method
	}
	
	//convert the Circle into a String
	
	public String toString()
	{
		return "Center = " + super.toString() + "; Radius = " + radius;
	}
}