// abstract base class Employee

public abstract class Employee
{
	private String firstName;
	private String lastName;
	
	// Constructor
	public Employee(String first,String last)
	{
		firstName = first;
		lastName = last;
	}
	// Return the first name
	public String getFirstName()
	{
		return firstName;
	}
	
	// Return last name
	public String getLastName()
	{
		return lastName;
	}
	
	public String toString()
	{
		return firstName + ' ' + lastName;
	}
	
	/* Abstract method which must be implemented for each each subclass of Employee
	from which objects are instantiate.
	*/
	public abstract double earnings();
	
}