
import java.awt.*;
import java.awt.event.*;
import java.applet.*;


public class AnotherAnimation extends Applet 
{
	
	private Image img;
	private int x = 20;
    	private int y = 20;
    	private int dx = 1;
   	private int dy = 1;
   	private final static int STEP = 5;
    	private final static int MIN  = 0;
    	private int maxX  = 0;
    	private int maxY  = 0;
	
	
	
	public void init()
	{
		setBackground(Color.white);
		
		img = getImage(getDocumentBase(),"SmallTiger.gif");
		MediaTracker mt = new MediaTracker(this);
		mt.addImage(img,0);
		try
		{
			mt.waitForID(0);
		}
		catch(InterruptedException ie)
		{
			ie.printStackTrace();
		}
		maxX = getSize().width;
		maxY = getSize().height;
		
	}
	public void update(Graphics g)
	{
		paint(g);
	}
	
	public void paint(Graphics g)
	{
		if(img==null)
		return;
		g.drawImage(img,x,y,this);
		
		
		
           	 x += dx * STEP;
            	if (x < MIN || x + img.getWidth(this) > maxX) dx *= -1;
            	if (x < MIN ) x = MIN;
            	if (x + img.getWidth(this) > maxX) x = maxX - img.getWidth(this);  

            	y += dy * STEP;
            	if (y < MIN || y  > maxY) dy *= -1;
            	if (y  < MIN ) y = MIN ;
            	if (y  > maxY) y = maxY ;
            	try
            	{
            		Thread.sleep(100);
            	}
            	catch(InterruptedException e)
            	{
       		}
       		repaint();
        
		
	}
	
			
	
 }