import java.awt.*;
import java.awt.event.*;

public class FontDemo extends Frame
{
	public FontDemo()
	{
		super("Various Fonts");
		
		setSize(500,300);
		setBackground(Color.black);
		show();
	}
	
	public void paint(Graphics g)
	{
		// Set the current font to Serif(Times) ,bold,12pt and draw a string
		g.setColor(Color.blue);
		g.setFont(new Font("Serif",Font.BOLD,12));
		
		g.drawString("Serif 12 point bold",20,50);
		
		// set current font to Monospaced(Courier),italic,24pt and draw a string
		g.setColor(Color.yellow);
		g.setFont(new Font("Monospaced",Font.ITALIC,24));
		
		g.drawString("Monospaced 24 point italic.",20,70);
		
		// Set current font to SansSerif(Helvetica),plain,14 pt and draw a String
		g.setColor(Color.green);
		g.setFont(new Font("SansSerif",Font.PLAIN,14));
		
		g.drawString("SansSerif 14 point plain.",20,90);
		
		// Set current font to Serif(times),bold/italic, 18pt and draw a string
		
		g.setColor(Color.red);
		g.setFont(new Font("Serif",Font.BOLD + Font.ITALIC,18));
		
		g.drawString(g.getFont().getName() + " " + g.getFont().getSize() + " point bold italic.",20,110);
		
	}
	
	public static void main(String a[])
	{
		FontDemo f = new FontDemo();
		
		f.addWindowListener(new LetWindowClose());
	}
}

class LetWindowClose extends WindowAdapter
{
	public void windowClosing(WindowEvent e)
	{
		System.exit(0);
	}
}