import java.awt.*;
import java.awt.event.*;
import java.applet.Applet;

public class PolylinesSample extends Applet implements ActionListener
{
	private static Color [] colors = {Color.white,Color.black,Color.blue,Color.red,Color.yellow,Color.orange,Color.cyan,Color.pink,Color.magenta,Color.green};
	Button clickButton;
	TextField numberTaker;
	boolean b;
	int arraySize;
	public void init()
	{
		 clickButton = new Button("Generate Polylines");
		setBackground(Color.lightGray);
		 numberTaker = new TextField(5);
		add(numberTaker);
		add(clickButton);
		clickButton.addActionListener(this);
		numberTaker.addActionListener(this);
		
	}
	
	public void actionPerformed(ActionEvent e)
	{
		//if(e.getSource()== clickButton)
		repaint();
	}
	
	public void paint(Graphics g)
	{
		if(b == false)
		{
			arraySize = 3;
			b = true;
			
		}
		else
		{
			 arraySize = Integer.parseInt(numberTaker.getText());
		}
		
		
		int [] xPoints = new int[arraySize];
		
		int [] yPoints = new int[arraySize];
		
		for(int i=0;i<xPoints.length;i++)
		{
			xPoints[i] = ((int)(Math.random() * 200));
			yPoints[i] = ((int)(Math.random() * 200));
			
		}
		
		g.setColor(colors[(int)(Math.random() * 10)]);
		
		g.drawPolyline(xPoints,yPoints,xPoints.length);
		
		showStatus(arraySize + "points");
	}
}