import java.awt.*;

import java.awt.event.*;

public class TestingRGB extends Frame implements AdjustmentListener
{
	Scrollbar redColor,greenColor,blueColor;
	Panel showRGB = new Panel(),colorPanel;
	boolean b = true;
	Label lbl = new Label("RGB will show here",Label.CENTER);
	//Graphics g = showRGB.getGraphics();
	
	public TestingRGB()
	{
		super("A Virtual Color Bank");
		setSize(500,400);
		Panel p = new Panel();
		p.setLayout(new GridLayout(3,1,2,2));
		add(p,BorderLayout.SOUTH);
		 redColor = new Scrollbar(Scrollbar.HORIZONTAL,50,0,0,256);
		 greenColor = new Scrollbar(Scrollbar.HORIZONTAL,50,0,0,256);
		 blueColor = new Scrollbar(Scrollbar.HORIZONTAL,50,0,0,256);
		p.add(redColor);
		p.add(greenColor);
		p.add(blueColor);
		showRGB.setBackground(Color.black);
		 colorPanel = new Panel();
		add(colorPanel,BorderLayout.CENTER);
		//lbl.setBackground(Color.black);
		 //showRGB = new Panel();
		
		redColor.addAdjustmentListener(this);
		greenColor.addAdjustmentListener(this);
		blueColor.addAdjustmentListener(this);
		
		 //falsePanel = new Panel();
		 //Graphics g = falsePanel.getGraphics();
		
		//g = falsePanel.getGraphics(g);
		lbl.setForeground(Color.cyan);
		lbl.setFont(new Font("Helvetica",Font.BOLD,26));
		showRGB.add(lbl);
		add(showRGB,BorderLayout.NORTH);
		setVisible(true);
		//g.drawString("RGB values are , red = " + 255 + ", green = " + 255 + ", blue = " + 255,10,30);
		
		
	}
	
	public void adjustmentValueChanged(AdjustmentEvent theEvent)
	{
		while(b)
		{
			showRGB.remove(lbl);
			b = false;
		}
		Graphics g = showRGB.getGraphics();
		//showRGB.remove(falsePanel);
		Color c = new Color(redColor.getValue(),greenColor.getValue(),blueColor.getValue());
		
		colorPanel.setBackground(c);
		
		g.setColor(c);
		g.setFont(new Font("Helvetica",Font.BOLD,16));
		showRGB.update(g);
		g.drawString("RGB values are , red = " + redColor.getValue() + ", green = " + greenColor.getValue() + ", blue = " + blueColor.getValue(),10,30);
		
		
		 
	}
	
	public static void main(String args[])
	{
		TestingRGB tb = new TestingRGB();
		
		tb.addWindowListener(new WindowClosingTechnic());
	}
	
}

class WindowClosingTechnic extends WindowAdapter
{
	public void windowClosing(WindowEvent e)
	{
		//setVisible(false);
		System.exit(0);
	}
}