// Demonstrate various Vector operations.
import java.util.*;

class VectorDemo  
{
	public static void main(String args [ ])  
	{

		// initial size is 3, increment is 2
		Vector v = new Vector(3, 2);

		System.out.println("Intial size :" + v.size( ));
		System.out.println("Intial capacity :" + v.capacity( ));

		v.addElement(new Integer(1));
		v.addElement(new Integer(2));
		v.addElement(new Integer(3));
		v.addElement(new Integer(4));

		System.out.println("Capacity after four additions : "+ v.capacity( )); 
		v.addElement(new Double(5.45));
		System.out.println("Current capacity :" + v.capacity( ));
		v.addElement(new Float(9.4));
		v.addElement(new Integer(10));
		System.out.println("Current capacity :" +v.capacity( ));

		System.out.println("Current capacity :" +v.capacity( ));
		v.addElement(new Integer(11));
		v.addElement(new Integer(12));


		System.out.println("First element :" + (Integer) v.firstElement( ));
		System.out.println("Last element :" + (Integer) v.lastElement( ));

		if(v.contains(new Integer(3))) 
		System.out.println("Vector contains 3. " );

		// enumerate the elements in the  
		// vector.
		Enumeration rEnum = v.elements( );

		System.out.println("\nElements in vector :" );
		while(rEnum.hasMoreElements( )) 
		System.	out.println("\n"+rEnum.nextElement( ));
		System.out.println( );
	}
}


