// Shows how to use BorderLayout with spacing between components.
import java.awt.*;
import java.awt.event.*;

public class StudyBorder extends Frame implements WindowListener
{
    Button northButton  = new Button ("North");
    Button southButton  = new Button ("South");    
    Button eastButton   = new Button ("East");        
    Button westButton   = new Button ("West");        
    Button centerButton = new Button ("Center");        
    
    public static void main(String args[])
    {
        StudyBorder theApp = new StudyBorder( );
    }
      
    public StudyBorder( )
    {
        setTitle( "The StudyBorder Application" );
        setFont( new Font( "TimesRoman", Font.BOLD, 14 ));

        setLayout( new BorderLayout( 5, 5 ) );

        add( northButton,  "North" );
        add( southButton,  "South" );        
        add( eastButton,   "East" );
        add( westButton,   "West" );                
        add( centerButton, "Center" );        
        
        addWindowListener(this);
        
        pack( );
        setVisible(true);
    }

    public void windowClosed     (WindowEvent theEvent) {  }
    public void windowClosing    (WindowEvent theEvent) { quitApplication( ); }
    public void windowDeiconified(WindowEvent theEvent) { }
    public void windowIconified  (WindowEvent theEvent) { }
    public void windowOpened     (WindowEvent theEvent) { }
    public void windowActivated  (WindowEvent theEvent) { }
    public void windowDeactivated(WindowEvent theEvent) { }

    public void quitApplication( )
    {
        setVisible(false);
        dispose();
        System.exit(0);
    }
}
