// ImageButtonTest.java

import java.awt.*;
import java.awt.event.*;

public class TestingImageButton extends Frame implements ActionListener
{
    ImageButton[] theImageButton = new ImageButton[10];
    Button clearButton = new Button("Clear This");

    public TestingImageButton()
    {
       super("Customized Button");
        setSize(500,400);
		
		addWindowListener(new WindowAdapter()
		{
			public void windowClosing(WindowEvent e)
			{
				setVisible(false);
				dispose();
				System.exit(0);
			}
		}
		);
		setLayout(new FlowLayout());

        for (int i = 1; i < 10; i++)
        {
            theImageButton[i] = new ImageButton("T"+i+".gif");
            add(theImageButton[i]);
            theImageButton[i].addActionListener(this);
        }

        add( clearButton );
        clearButton.addActionListener(this);
		setVisible(true);
    }

    public void actionPerformed(ActionEvent theEvent)
    {
        if (theEvent.getSource( ) instanceof ImageButton)
        {
            setBackground( Color.gray );
            System.out.println("Hit image button");
            repaint();
            return;
        }
        System.out.println("Hit regular button");
        setBackground( Color.lightGray );
        repaint();
    }
	public static void main(String s[])
	{
		new TestingImageButton();
	}
}
