// Defining the Player class
public class Player extends Object
{
	private String firstName;
	private String lastName;
	private static int number; // Number of objects in memory
	
	public Player(String fName,String lName)
	{
		firstName = fName;
		lastName = lName;
		
		
		++number; // increment of static number of Players
		
		System.out.println("Player object constructors: " + firstName + " " + lastName);
	}
	
	protected void finalize()
	{
		--number; // decrement static number of Players
		
		System.out.println("Player object finalizer: " + firstName + " " + lastName + "; Number= " + number);
	}
	
	public String getFirstName()
	{
		return firstName;
	}
	
	public String getLastName()
	{
		return lastName;
	}
	
	public static int getNumber()
	{
		return number;
	}
}