// Test the Player class with static class variable, static class method and dynamic memory

import javax.swing.*;

public class PlayerTest
{
	public static void main(String args[])
	{
		String output;
		
		output = "Players before instantiation: " + Player.getNumber();
		
		Player e1 = new Player("Imran", "Khan");
		Player e2 = new Player("Wasim","Akram");
		
		output += "\n\n Players after instantiation: " + "\nvia e1.getNumber(): " + e1.getNumber() + 
		"\nvia e2.getNumber(): " + e2.getNumber() + "\nvia Player.getNumber():" + Player.getNumber();
		
		output +="\n\nPlayer 1: " + e1.getFirstName() + " " + e1.getLastName() +
		"\nPlayer 2: " + e2.getFirstName() + " " + e2.getLastName();
		
		//mark objects reffered to by e1 and e2 for garbage collection
		
		e1 = null;
		e2 = null;
		
		System.gc(); // A request to garbage collector
		
		output += "\n\nPlayers after System.gc(): " + Player.getNumber();
		
		
		JOptionPane.showMessageDialog(null,output,"Static Members and Garbage Collection",JOptionPane.INFORMATION_MESSAGE);
		
		System.exit(0);
	}
}