import java.awt.*;
import java.awt.event.*;
import java.applet.Applet;

public class DrawingPolygons extends Frame implements ActionListener,ItemListener
{
	private static Color [] colors = {Color.white,Color.black,Color.blue,Color.red,Color.yellow,Color.orange,Color.cyan,Color.pink,Color.magenta,Color.green};
	Button clickButton;
	TextField numberTaker;
	Checkbox ck;
	boolean b,nana;
	int arraySize;
	public DrawingPolygons()
	{
		setTitle("Demonstrating Polygons");
		setLayout(new FlowLayout());
		 clickButton = new Button("Generate Polylines");
		setBackground(Color.lightGray);
		 numberTaker = new TextField(5);
		 
		add(numberTaker);
		add(clickButton);
		ck = new Checkbox("Want to fill?");
		add(ck);
		ck.addItemListener(this);
		clickButton.addActionListener(this);
		numberTaker.addActionListener(this);
		setSize(500,300);
		setVisible(true);
	}
	
	public void actionPerformed(ActionEvent e)
	{
		//if(e.getSource()== clickButton)
		repaint();
	}
	public void itemStateChanged(ItemEvent e)
	{
		if(nana == true)
		nana = false;
		else
		nana = true;
	}
	
	public void paint(Graphics g)
	{
		if(b == false)
		{
			arraySize = 3;
			b = true;
			
		}
		else
		{
			 arraySize = Integer.parseInt(numberTaker.getText());
		}
		
		
		int [] xPoints = new int[arraySize];
		
		int [] yPoints = new int[arraySize];
		
		for(int i=0;i<xPoints.length;i++)
		{
			xPoints[i] = ((int)(Math.random() * 200));
			yPoints[i] = ((int)(Math.random() * 200));
			
		}
		
		g.setColor(colors[(int)(Math.random() * 10)]);
		if(!nana)
		g.drawPolygon(xPoints,yPoints,xPoints.length);
		else
		g.fillPolygon(xPoints,yPoints,xPoints.length);
		
	}
	
	public static void main(String args[])
	{
		DrawingPolygons dP = new DrawingPolygons();
		
		dP.addWindowListener(new LetWindowClose());
	}
}

class LetWindowClose extends WindowAdapter
{
	public void windowClosing(WindowEvent e)
	{
		System.exit(0);
	}
}