import java.applet.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;

public class Bubble extends Applet implements ActionListener
{
	TextField machine [] = new TextField[6];
	
	Random randGen = new Random();
	Button popBtn  = new Button("Populate");
	Button sortBtn = new Button("Sort");
	
	
	public void init()
	{
		setLayout(new GridLayout(8,1));
		
		for (int i=0; i< machine.length; i++)
		{
			machine[i] = new TextField("",10);
			add(machine[i]);
		}
		add(popBtn);
		add(sortBtn);
		popBtn.addActionListener(this);
		sortBtn.addActionListener(this);
	}
	public void actionPerformed(ActionEvent event)
	{
		if (event.getSource() ==popBtn)
		populate();
		if (event.getSource() == sortBtn)
		sort();
	}
	public void populate()
	{
		for(int i= 0; i<machine.length;i++)
		{
			int n = (int)(randGen.nextFloat() * 500);
			machine[i].setText("" + n);
		}
		
		
	}
	public void sort()
	{
		boolean swapped;
		
		do {
			swapped = false;
			for (int i=0;i<(machine.length - 1);i++)
			{
				int a,b;
				a=Integer.parseInt(machine[i].getText());
				b=Integer.parseInt(machine[i+1].getText());
				setColor(i,  Color.blue);
				setColor(i+1, Color.red);
				pause(500);
				
				if (a>b)
				{ 
					int temp = b;
					machine[i+1].setText(machine[i].getText());
					machine[i].setText("" + temp);
					setColor(i,  Color.red);
					setColor(i+1, Color.blue);
					pause(500);
					swapped = true;
				}
				setColor(i , Color.white);
				setColor(i+1, Color.white);
			}
		}while (swapped);
	}
	public void pause(int milliseconds)
	{
		try
		{
			Thread.sleep(milliseconds);
		}
		catch (InterruptedException e)
		{
		}
	}
	public void setColor(int i, Color c)
	{
		String text = machine[i].getText();
		machine[i].setBackground(c);
	}
}
		
	
			
		
