import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import java.awt.geom.*;
import java.awt.image.*;

public class MakingPie extends JFrame implements ActionListener
{
	double d1,d2,d3,d4,dMax;
	boolean check =  true;
	JPanel gp = new JPanel();
	JButton showGraph = new JButton("Show graph");
	JTextField f[] = new JTextField[4];
	
	public MakingPie()
	{
		super("Making Pie chart");
		setSize(600,200);
		setLocation(15,130);
		getContentPane().setLayout(new GridLayout(1,2,5,5));
		JPanel jp = new JPanel();
		getContentPane().add(jp);
		//JPanel gp = new JPanel();
		getContentPane().add(gp);
		jp.setLayout(new BorderLayout(5,5));
		JPanel jp1 = new JPanel();
		jp.add(jp1,"Center");
		jp1.setLayout(new GridLayout(4,4,5,5));
		f[0]  = new JTextField(20);
		f[1]  = new JTextField(20);
		f[2]  = new JTextField(20);
		f[3]  = new JTextField(20);
		jp1.add(new JLabel("Enter the first value  :  "));
		jp1.add(f[0]);
		jp1.add(new JLabel("Enter the second value :  "));
		jp1.add(f[1]);
		jp1.add(new JLabel("Enter the third value  :  "));
		jp1.add(f[2]);
		jp1.add(new JLabel("Enter the fourth value :  "));
		jp1.add(f[3]);
		JPanel panelSouth = new JPanel();
		panelSouth.setLayout(new GridLayout(1,2,6,6));
		panelSouth.add(showGraph);
		JButton btnerase = new JButton("Erase");
		panelSouth.add(btnerase);
		jp.add(panelSouth,BorderLayout.SOUTH);
		showGraph.addActionListener(this);
		btnerase.addActionListener(this);
		
		show();
		//repaint();
	}
	public static void main(String args[])
	{
		MakingPie test = new MakingPie();
		test.addWindowListener(new WindowAdapter()
		{
			public void windowClosing(WindowEvent e)
			{
				//test.dispose();
				//test.setVisible(false);
				System.exit(0);
			}
		}
				      );
		
	}
	/*public void actionPerformed(ActionEvent e)
	{
		check = true;
		int i = 0;
		while(check)
		{
			//repeat:
			
			
				d1 = (new Double(f[i].getText())).doubleValue();
					//repeat:
					for(int j = 0;j<4;j++)
					{
						//if(i==j)
						//continue repeat;
						d2 =(new Double(f[j].getText())).doubleValue();
						//if(d1 ==d2);
					        if(d1<d2)
						{
							check = true;
							break;
							
						}
						
						check = false;
					}
				
			i++;
			if(i>=4)
			i = 0;
			dMax = d1;
		}
		System.out.println(dMax);
	}
	public void update(){}
	public void paint(Graphics g)
	{
		//Graphics2D g2d = (Graphics2D)g;
		//g2d.setPaint(new GradientPaint(5,30,Color.blue,35,100,Color.yellow,true));
	}*/
	public void actionPerformed(ActionEvent e)
	{
		if(e.getSource()== showGraph)
		{
			d1 = (new Double(f[0].getText())).doubleValue();
			d2 = (new Double(f[1].getText())).doubleValue();
			d3 = (new Double(f[2].getText())).doubleValue();
			d4 = (new Double(f[3].getText())).doubleValue(); 
			dMax = d1 + d2 + d3 + d4;
			panelPaint();
		}
		else
		{
			repaint();
			for(int i=0;i<4;i++)
			{
				f[i].setText("");
			}
			f[0].requestFocus();
		}
	}
	public void update(){}
	
	public void panelPaint()
	{
		//gp.invalidate();
		
		gp.setBackground(Color.gray);
		gp.setForeground(Color.gray);
		Graphics2D  gg = (Graphics2D)gp.getGraphics();
		
		gg.setPaint(Color.blue);
		gg.fill(new Arc2D.Double(10,10,150,150,0,(d1*360/dMax),Arc2D.PIE));
		gg.drawString("Value1 is : " +(int) (d1*100/dMax)+" %",175,15); 
		gg.setPaint(Color.cyan);
		gg.fill(new Arc2D.Double(10,10,150,150,(d1*360/dMax),(d2*360/dMax),Arc2D.PIE));
		gg.drawString("Value2 is : " +(int) (d2*100/dMax)+" %",175,30); 
		gg.setPaint(Color.red);
		gg.fill(new Arc2D.Double(10,10,150,150,(d2*360/dMax + d1*360/dMax),(d3*360/dMax),Arc2D.PIE));
		gg.drawString("Value3 is : " + (int)(d3*100/dMax)+" %",175,45); 
		gg.setPaint(Color.green);
		gg.fill(new Arc2D.Double(10,10,150,150,(d3*360/dMax +d2*360/dMax + d1*360/dMax ),(d4*360/dMax),Arc2D.PIE));
		gg.drawString("Value4 is : " + (int)(d4*100/dMax)+" %",175,60);
		//repaint(); 
		//gp.validate();
		while(check)
		{
			check = false;
			panelPaint();
			
		}
	}
	
}