import java.io.*;
import javax.swing.*;
import javax.media.*;
import java.awt.*;
import java.awt.event.*;


public class TestingPlayer extends JFrame
{
	private Player player;
	private File file;
	String password;
	
	
	public TestingPlayer()
	{
		super("You can if you have the password");
		
		Icon firstIcon = new ImageIcon("JavaCup.gif");
		
		JButton wannaPlay = new JButton("Open file to play",firstIcon);
		
		wannaPlay.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				password = JOptionPane.showInputDialog("Enter the valid password");
				if(password.equals("Pink Floyd"))
				createPlayer();
				else
				JOptionPane.showMessageDialog(null,"Password is wrong","Warning",JOptionPane.WARNING_MESSAGE);
				
			}
		}
		
		);
		
		getContentPane().add(wannaPlay,BorderLayout.NORTH);
		
		setSize(500,400);
		show();
	}
	
	private void createPlayer()
	{
		
		
		removePreviousPlayer();
		
		try
		{
			file = new File("Castlair.mp3");
			player = Manager.createPlayer(file.toURL());
			player.addControllerListener(new EventHandler());
			player.start();
		}
		
		catch(Exception e)
		{
			JOptionPane.showMessageDialog(this,"Invalid file or location","Error loading file",JOptionPane.ERROR_MESSAGE);
		}
		
	}
	
	
	
	private void removePreviousPlayer()
	{
		if(player == null)
		return;
		player.close();
		
		//Component visual = player.getVisualComponent();
		Component control = player.getControlPanelComponent();
		
		Container c = getContentPane();
		
		
		
		if(control != null)
		c.remove(control);
	}
	
	public static void main(String args[])
	{
		TestingPlayer hurray = new TestingPlayer();
		
		hurray.addWindowListener (new WindowAdapter()
		{
			public void windowClosing(WindowEvent e)
			{
				//setVisible(false);
				System.exit(0);
			}
		}
		);
	}
	
	private class EventHandler implements ControllerListener
	{
		public void controllerUpdate(ControllerEvent e)
		{
			if(e instanceof RealizeCompleteEvent)
			{
				JPanel jp = new JPanel();
				jp.setLayout(new BorderLayout());
				//Container c1 =jp.getContentPane();
				Container c = getContentPane();
			        c.add(jp,BorderLayout.CENTER);
				Icon im = new ImageIcon("pinkfloyd.gif");
				JLabel lbl = new JLabel("Like it or not");
				lbl.setIcon(im);
                     		// Align the text to the right of the Icon
                     		lbl.setHorizontalAlignment(JLabel.RIGHT); 
				c.add(lbl,BorderLayout.CENTER);
				
				//Component visualComponent = player.getVisualComponent();
				
				//if(visualComponent != null)
				//c.add(visualComponent,BorderLayout.CENTER);
				
				Component controlsComponent = player.getControlPanelComponent();
				
				if(controlsComponent != null)
				c.add(controlsComponent,BorderLayout.SOUTH);
				
				c.doLayout();
				
			}
		}
	}
	
}