import java.applet.*;
import java.awt.*;

public class Thread123 extends Applet implements Runnable
{
    char   theChar = '0';
    Thread theThread;

    public void init()
    {
        setFont( new Font( "TimesRoman", Font.BOLD, 128 ));
        setForeground( Color.red );
        setBackground(new Color(0,234,89));
    }

    public void start()
    {
        if ( theThread == null )
        {
            theThread = new Thread( this );
            theThread.start();
        }
    }
    
    public void stop()
    {
        if ( theThread != null )
        {
            theThread.stop();
            theThread = null;
        }
    }

    public void run()
    {
        while ( true )
        {
            System.out.println( theChar );
            repaint();
            try { Thread.sleep( 1000 );         }
            catch (InterruptedException e ) { ; }

            if ( theChar >= '9' )
                 theChar = '0';
            else
                 theChar++;              
        }
    }

    public void paint( Graphics g )
    {
        FontMetrics fm = g.getFontMetrics();
        int yPos = (getSize().height / 2) + (fm.getAscent() / 2);
        int xPos = (getSize().width  / 2) - (fm.charWidth( theChar ) / 2);
        g.drawString( "" + theChar, xPos, yPos );

    }
}
